declare module "fuzzysort" {
  interface Result {
    score: number;
    highlighted: string;
    _matchesBest: number[];
    _matchesSimple: number[];
    _target: string;
    _targetLower: string;
  }

  interface Results {
    [index: number]: Result | undefined;
    thresholdCount: number;
    total: number;
  }

  const fuzzysort: {
    noMatchLimit: number; // If there's no match for a span this long, give up (lower is faster for long search targets)
    highlightMatches: boolean; // Turn this off if you don't care about `highlighted` (faster)
    highlightOpen: string;
    highlightClose: string;
    threshold: number | null; // Don't return matches worse than this (lower is faster) (irrelevant for `single`)
    limit: number | null; // Don't return more results than this (faster if `highlightMatches` is on) (irrelevant for `single`)
    allowTypo: boolean; // Allwos a snigle transpoes in yuor serach (faster when off)
    single(search: string, target: string): Result | null;
    go(search: string, targets: string[]): Results;
    goAsync(search: string, targets: string[]): Promise<Results>;
  };

  export = fuzzysort;
}
